<%@ Page Language="C#" AutoEventWireup="true" Codebehind="vipapply_default.aspx.cs" Inherits="JumbotCms.WebFile.Customer._vipapply_index" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta   http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta   name="robots" content="noindex, nofollow" />
<meta   http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<title>我要包年 - <%=site.Name %></title>
<script type="text/javascript" src="../_libs/jquery.tools.pack.js"></script>
<script type="text/javascript" src="../_data/jcmsV4.x.js"></script>
<link   type="text/css" rel="stylesheet" href="../_data/jcmsV4.x.css" />


<script type="text/javascript">
(function(){
	$(document).ready(function(){
		$.ajax({
			type:		"get",
			dataType:	"json",
			data:		"time="+(new Date().getTime()),
			url:		"vipapply_ajax.aspx?oper=checkvipapply",
			error:		function(XmlHttpRequest,textStatus, errorThrown){if(XmlHttpRequest.responseText!=""){alert(XmlHttpRequest.responseText);}},
			success:	function(data){
				$(".u_points").text(data.returnval);
				if(data.result == "0")
				{
					$("#message_box").show();
					$("#function_box").hide();
				}
				else
				{
					$("#message_box").hide();
					$("#function_box").show();
				}

			}
		});


		$('#vipapplyForm').ajaxForm({
			beforeSubmit: JumbotCms.AjaxFormSubmit,
			success :function(data){
				JumbotCms.Eval(data);
			}
		}); 
		$.formValidator.initConfig({onError:function(msg){alert(msg);}});
		$("#ddlYears")
			.formValidator({tipid:"tipYears",onshow:"请选择包年类型",onfocus:"包年类型必须选择",oncorrect:"OK",defaultvalue:"1"})
			.InputValidator({min:1,onerror: "包年类型必须选择"})
			.DefaultPassed();

	});
	//Form验证
	JumbotCms.AjaxFormSubmit=function(item){
		try{
			if(jQuery.formValidator.PageIsValid('1'))
			{
				JumbotCms.Loading.show("正在处理，请稍等...");
				return true;
			}else{
				return false;
			}
		}catch(e){
			return false;
		}
	};
})();
</script>
</head>
<body>
<style>
@import url(../style/member/style.v4.css);
#ucmenu{width:600px;}
</style>
<iframe frameborder="0" scrolling="no" src="../user/index_default.aspx?do=header" width="100%" height="76" marginwidth="0" marginheight="0" hspace="0" vspace="0" id="ifheader"></iframe>
<!--顶部结束,中框架开始-->
<div id="user_content">
	<!--menu-->
	<div class="user_menu">
		<iframe frameborder="0" scrolling="no" src="index_default.aspx?do=left" width="176" height="700" name="iFrame1"  marginwidth="0" marginheight="0" hspace="0" vspace="0" id="ifleft"></iframe>
	</div>
	<script type="text/javascript">
function reinitIframe(str){
	var iframe = document.getElementById(str);
	try{
		var bHeight = iframe.contentWindow.document.body.scrollHeight;
		var dHeight = iframe.contentWindow.document.documentElement.scrollHeight;
		var height = Math.max(bHeight, dHeight);
		iframe.height =  height;
	}catch (ex){}
}
window.setInterval("reinitIframe('ifleft')", 200);
</script>
	<!--右侧功能细分区-->
	<div id="function_box" style="display:none;">
		<div class="nav_two">
			<ul>
				<li><a href="consume_default.aspx?mod=customer">支出明细</a></li>
				<li><a href="applylist_default.aspx?mod=customer">过往申请</a></li>
				<li><a href="buypoints_default.aspx?mod=customer">账户充值</a></li>
				<li><a href="activepointscard_default.aspx?mod=customer">激活点卡</a></li>
				<li class="currently"><a>我要包年</a></li>
			</ul>
			<div class="clear"></div>
		</div>
		<div>
			<form id="vipapplyForm" name="form1" method="post" action="vipapply_ajax.aspx?oper=save">
				<table style="width:540px;" align="center" border="0" cellspacing="4" cellpadding="4" id="studio">
					<tr>
						<td width="120" height="30" align="right">服务类型：</td>
						<td width="190"><select name="ddlYears" id="ddlYears"><option value="">==请选择包年类型==</option><option value="1">12000元/1年</option><option value="2">20000元/2年</option></select></td>
						<td width="*"><span id="tipYears" style="width:200px;"> </span></td>
					</tr>
					<tr>
						<td height="30" align="right">客服通知方式：</td>
						<td><select name="ddlNoticeMode" id="ddlNoticeMode"><option value="1" selected="selected">站内短信</option>
<option value="2">客服邮箱</option></select></td>
						<td></td>
					</tr>
					<tr>
						<td colspan="3" align="center" valign="bottom"><input type="submit" id="btnSave" value="提交申请" class="button" />
							<a href="../user/index_default.aspx">取消</a></td>
					</tr>
				</table>
			</form>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div>
	<div id="message_box" style="display:none;">
		<dl class="message">
			<dt><span class="tl"></span><span class="tr"></span>友情提醒</dt>
			<dd><span class="em">您当前不能申请包年，原因可能如下：</span><br>
				1、您当前已提交了申请，而没进行付款！<br>
				2、您虽已付款，但客服还未处理，请联系客服并说明情况！<br>
				<br>
			</dd>
			<dd class="message_b"><span class="bl"></span><span class="br"></span></dd>
		</dl>
	</div>
	<div class="clear"></div>
</div>
<iframe frameborder="0" scrolling="no" src="../user/index_default.aspx?do=footer" width="100%" height="50" marginwidth="0" marginheight="0" hspace="0" vspace="0" id="iffooter"></iframe>
</body>
</html>

